@Article{Orr18,
  author        = "Douglas A Orr and Peter White",
  title         = "Current State of Forensic Acquisition for IaaS Cloud Services",
  journal       = "Journal of Forensic Sciences and Criminal Investigation",
  month         = jul,
  year          = "2018",
  pages         = "1--11",
  doi           = "10.19080/JFSCI.2018.10.555778",
  url           = "https://juniperpublishers.com/jfsci/pdf/JFSCI.MS.ID.555778.pdf",
}

@Article{Alqahtany14,
  author = {Saad Alqahtany and Nathan Clarke and Steven Furnell and Christoph Reich},
  title = {A forensically-enabled IAAS cloud computing architecture},
  series = {Proceedings of the 12th Australian Digital Forensics Conference. Held on the 1-3 December, 2014 at Edith Cowan University, Joondalup Campus, Perth, Western Australia.},
  doi = {10.4225/75/57b3e3a5fb87e},
  pages = {75 -- 83},
  year = {2014},
  url = "https://ro.ecu.edu.au/adf/136/",
}

@Article{Zach15,
  author        = "Julian Zach and Hans Reiser",
  title         = "LiveCloudInspector: Towards Integrated IaaS Forensics in the Cloud",
  numpages      = "15",
  volume        = "1",
  number        = "1",
  month         = jun,
  year          = "2015",
  pages         = "207--220",
  doi           = "10.1007/978-3-319-19129-4_17",
  url           = "https://hal.inria.fr/hal-01775040/document",
}

@Article{Pichan15,
  author = {Pichan, Ameer and Lazarescu, Mihai and Soh, Sie},
  year = {2015},
  month = {06},
  pages = {},
  title = {Cloud forensics: Technical challenges, solutions and comparative analysis},
  volume = {13},
  journal = {Digital Investigation},
  doi = {10.1016/j.diin.2015.03.002}
}

@Article{Gavitt11,
  author = {Dolan-Gavitt, Brendan and Payne, Bryan and Lee, Wenke},
  year = {2011},
  month = {01},
  pages = {},
  title = {Leveraging Forensic Tools for Virtual Machine Introspection}
}

@phdthesis{Voemel14,
  author = {Vömel, Stefan},
  year = {2014},
  month = {01},
  pages = {},
  title = {Forensic Acquisition and Analysis of Volatile Data in Memory}
}

@inproceedings{Srivastava12,
  author = {Srivastava, Abhinav and Raj, Himanshu and Giffin, Jonathon and England, Paul},
  title = {Trusted VM Snapshots in Untrusted Cloud Infrastructures},
  booktitle = {Proceedings of the 15th International Conference on Research in Attacks, Intrusions, and Defenses},
  series = {RAID'12},
  year = {2012},
  isbn = {978-3-642-33337-8},
  location = {Amsterdam, The Netherlands},
  pages = {1--21},
  numpages = {21},
  url = {http://dx.doi.org/10.1007/978-3-642-33338-5_1},
  doi = {10.1007/978-3-642-33338-5_1},
  acmid = {2403610},
  publisher = {Springer-Verlag},
  address = {Berlin, Heidelberg},
}

@online{MargaritaShotgun,
  author = {ThreatResponse},
  title = {Remote Memory Acquisition Tool Margarita Shotgun},
  year = 2019,
  url = {https://github.com/ThreatResponse/margaritashotgun},
  lastaccessed = {2019-10-29}
}

@online{MicrosoftAzureSupport,
  author = {Microsoft Azure Support},
  title = {Microsoft Azure Support diagnostic information and memory dump collection},
  year = 2019,
  url = {https://azure.microsoft.com/en-us/support/legal/support-diagnostic-information-collection/},
  lastaccessed = {2019-10-29}
}

@online{MargaritaShotgunOverview,
  author = {ThreatResponse},
  title = {Margarita Shotgun: Capturing Memory from AWS Instances},
  year = 2019,
  url = {https://azure.microsoft.com/en-us/support/legal/support-diagnostic-information-collection/},
  lastaccessed = {2019-10-29}
}

@online{MargaritaShotgunDocs,
  author = {ThreatResponse},
  title = {Margarita Shotgun: Docs},
  year = 2019,
  url = {https://margaritashotgun.readthedocs.io/en/latest/index.html/},
  lastaccessed = {2019-10-29}
}

@online{VolatilityImageinfo,
  author = {Volatility Foundation},
  title = {Volatility - CommandReference22.wiki: Image Identification},
  year = 2019,
  url = {https://code.google.com/archive/p/volatility/wikis/CommandReference22.wiki#imagecopy},
  lastaccessed = {2019-10-29}
}

@online{Volatility,
  author = {Volatility Foundation},
  title = {Volatility},
  year = 2019,
  url = {https://github.com/volatilityfoundation/volatility},
  lastaccessed = {2019-12-11}
}

@online{VolatilityFoundation,
  author = {Volatility Foundation},
  title = {VolatilityFoundation Github Repositories},
  year = 2019,
  url = {https://github.com/volatilityfoundation},
  lastaccessed = {2019-12-11}
}

@online{Volatility3,
  author = {Volatility Foundation},
  title = {Volatility3},
  year = 2019,
  url = {https://github.com/volatilityfoundation/volatility3},
  lastaccessed = {2019-12-11}
}

@online{LibVMI,
  author = {LibVMI},
  title = {LibVMI: Simplified Virtual Machine Introspection},
  year = 2019,
  url = {https://github.com/libvmi/libvmi},
  lastaccessed = {2019-12-11}
}

@online{VM2DMP,
  author = {Microsoft},
  title = {VM2DMP - Hyper-V VM State to Memory Dump Converter},
  year = 2010,
  url = {https://blogs.technet.microsoft.com/virtualworld/2010/02/02/vm2dmp-hyper-v-tm-vm-state-to-memory-dump-converter/},
  lastaccessed = {2019-12-11}
}

@online{KVMVirish,
  author = {Red Hat},
  title = {KVM - CREATING VIRSH DUMP FILES},
  year = 2019,
  url = {https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html/virtualization_administration_guide/sect-vish-dump},
  lastaccessed = {2019-12-11}
}

@online{GartnerIAAS,
  author = {Gartner},
  title = {Worldwide IaaS Public Cloud Services Market Share 2018},
  year = 2019,
  url = {https://www.gartner.com/en/newsroom/press-releases/2019-07-29-gartner-says-worldwide-iaas-public-cloud-services-market-grew-31point3-percent-in-2018},
  lastaccessed = {2019-12-11}
}

@online{IceBox,
  author = {THALIUM},
  title = {IceBox - Virtual Machine Introspection, Tracing and Debugging},
  year = 2019,
  url = {https://github.com/thalium/icebox},
  lastaccessed = {2019-12-11}
}

@online{pyvmidbg,
  author = {Mathieu Tarral},
  title = {LibVMI-based debug server, implemented in Python. Building a guest aware, stealth and agentless full-system debugger},
  year = 2019,
  url = {https://github.com/Wenzel/pyvmidbg},
  lastaccessed = {2019-12-11}
}

@online{nestedSupportAWS,
  author = {AWS},
  title = {Running Hyper-V on Amazon EC2 Bare Metal Instances},
  year = 2018,
  url = {https://aws.amazon.com/blogs/compute/running-hyper-v-on-amazon-ec2-bare-metal-instances/},
  lastaccessed = {2019-12-11}
}

@online{nestedSupportAzure,
  author = {Microsoft Azure},
  title = {How to enable nested virtualization in an Azure VM},
  year = 2017,
  url = {https://docs.microsoft.com/en-us/azure/virtual-machines/windows/nested-virtualization},
  lastaccessed = {2019-12-11}
}

@online{nestedSupportGCE,
  author = {Google Cloud},
  title = {Enabling Nested Virtualization for VM Instances},
  year = 2019,
  url = {https://cloud.google.com/compute/docs/instances/enable-nested-virtualization-vm-instances},
  lastaccessed = {2019-12-11}
}

@inproceedings{Yehuda10,
  author = {Ben-Yehuda, Muli and Day, Michael and Dubitzky, Zvi and Factor, Michael and Har'El, Nadav and Gordon, Abel and Liguori, Anthony and Wasserman, Orit and Yassour, Ben-Ami},
  year = {2010},
  month = {01},
  pages = {423-436},
  title = {The Turtles Project: Design and Implementation of Nested Virtualization.}
}

@inproceedings{Miyama17,
  author = {Miyama, Shohei and Kourai, Kenichi},
  year = {2017},
  month = {08},
  pages = {305-323},
  title = {Secure IDS Offloading with Nested Virtualization and Deep VM Introspection},
  isbn = {978-3-319-66398-2},
  doi = {10.1007/978-3-319-66399-9_17}
}

@inproceedings{Zhang11,
  author = {Zhang, Fengzhe and Chen, Jin and Chen, Haibo and Zang, Binyu},
  year = {2011},
  month = {10},
  pages = {203-216},
  title = {CloudVisor: Retrofitting protection of virtual machines in multi-tenant cloud with nested virtualization},
  journal = {SOSP'11 - Proceedings of the 23rd ACM Symposium on Operating Systems Principles},
  doi = {10.1145/2043556.2043576}
}

@inproceedings{Beham13,
  author = {Beham, Michael and Vlad, Marius and Reiser, Hans},
  year = {2013},
  month = {06},
  pages = {1-6},
  title = {Intrusion detection and honeypots in nested virtualization environments},
  isbn = {978-1-4673-6471-3},
  doi = {10.1109/DSN.2013.6575329}
}

@online{nestedSupportXEN,
  author = {XEN Project},
  title = {Nested Virtualization in Xen},
  year = 2018,
  url = {https://wiki.xenproject.org/wiki/Nested_Virtualization_in_Xen},
  lastaccessed = {2019-12-11}
}

@online{nestedSupportHyperV,
  author = {Microsoft},
  title = {Run Hyper-V in a Virtual Machine with Nested Virtualization},
  year = 2016,
  url = {https://docs.microsoft.com/en-us/virtualization/hyper-v-on-windows/user-guide/nested-virtualization},
  lastaccessed = {2019-12-11}
}

@online{nestedSupportKVM,
  author = {Linux KVM},
  title = {Enabling Nested Virtualization for VM Instances},
  year = 2018,
  url = {https://www.linux-kvm.org/page/Nested_Guests},
  lastaccessed = {2019-11-05}
}

@online{updatesKVM,
  author = {Tianyu Lan},
  title = {KVM/Hyper-V: Add new KVM capability},
  year = 2019,
  url = {https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=344c6c804703841d2bff4d68d7390ba726053874},
  lastaccessed = {2019-09-24}
}

@online{Rekall,
  author = {Google / Michael Cohen},
  title = {Rekall Forensics},
  year = 2019,
  url = {http://www.rekall-forensic.com/},
  lastaccessed = {2019-12-11}
}

@online{diskSnapshotAWS,
  author = {AWS},
  title = {Amazon EBS Snapshots},
  year = 2019,
  url = {https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/EBSSnapshots.html},
  lastaccessed = {2019-12-11}
}

@online{diskSnapshotAZURE,
  author = {Microsoft},
  title = {Create a snapshot},
  year = 2018,
  url = {https://docs.microsoft.com/bs-latn-ba/azure/virtual-machines/windows/snapshot-copy-managed-disk},
  lastaccessed = {2019-12-11}
}

@online{diskSnapshotGCE,
  author = {Google},
  title = {Creating persistent disk snapshots},
  year = 2019,
  url = {https://cloud.google.com/compute/docs/disks/create-snapshots},
  lastaccessed = {2019-11-11}
}

@online{libvmiRUST,
  author = {Mathieu Tarral},
  title = {rust-libvmi},
  year = 2019,
  url = {https://github.com/Wenzel/rust-libvmi},
  lastaccessed = {2019-11-11}
}

@online{RekallWithLibVMI,
  author = {Mathieu Tarral},
  title = {Live Memory Forensics with Rekall and LibVMI},
  year = 2019,
  url = {https://wenzel.github.io/2018/04/10/live_memory_forensics_rekall.html},
  lastaccessed = {2019-11-11}
}

@online{KVMVMI,
  author = {Mathieu Tarral},
  title = {kvm-vm},
  year = 2019,
  url = {https://github.com/KVM-VMI/kvm-vmi},
  lastaccessed = {2019-12-11}
}

@online{VMwareCommunityIntegratewithLibVMI,
  author = {VMware Community},
  title = {API Vmware - Integrate with LibVMI | Sandboxin Enviroment for malware analyse},
  year = 2018,
  url = {https://communities.vmware.com/thread/601385},
  lastaccessed = {2019-12-11}
}

@online{vmss2core,
  author = {VMware Knownledge Base},
  title = {Converting a snapshot file to memory dump using the vmss2core tool},
  year = 2019,
  url = {https://kb.vmware.com/s/article/2003941},
  lastaccessed = {2019-12-11}
}

@online{VirtualBoxMemoryDump,
  author = {virtualbox.org},
  title = {Please implement readPhysicalMemory or a raw memory dumper},
  year = 2011,
  url = {https://www.virtualbox.org/ticket/10222},
  lastaccessed = {2019-12-11}
}

@online{VolatilityVirtualBox,
  author = {Volatility Foundation},
  title = {Virtual Box Core Dump},
  year = 2014,
  url = {https://github.com/volatilityfoundation/volatility/wiki/Virtual-Box-Core-Dump},
  lastaccessed = {2019-12-11}
}

@inproceedings{Payne2012SimplifyingVM,
  title={Simplifying virtual machine introspection using LibVMI.},
  author={Bryan D. Payne},
  year={2012}
}

@INPROCEEDINGS{Lamps14,
  author={J. {Lamps} and I. {Palmer} and R. {Sprabery}},
  booktitle={2014 IEEE 7th International Conference on Cloud Computing},
  title={WinWizard: Expanding Xen with a LibVMI Intrusion Detection Tool},
  year={2014},
  volume={},
  number={},
  pages={849-856},
  keywords={cloud computing;security of data;virtual machines;WinWizard;Xen;LibVMI intrusion detection tool;virtual machine introspection;intrusion detection system;IDS;memory introspection;cloud infrastructures;Virtual machining;Security;Virtual machine monitors;Kernel;Virtualization;Instruction sets;Intrusion Detection Systems;Xen;Virtualized-based security},
  doi={10.1109/CLOUD.2014.117},
  ISSN={2159-6182},
  month={June},
}

@online{XenCoreDump,
  author = {Red Hat Documentation},
  title = {Performing a Core Dump},
  year = 2007,
  url = {https://web.mit.edu/rhel-doc/5/RHEL-5-manual/Virtualization-en-US/ch17s03s01.html},
  lastaccessed = {2019-12-11}
}

@online{CITRIXXenSnapshot,
  author = {CITRIX Product Documentation},
  title = {Command-line interface},
  year = 2019,
  url = {https://docs.citrix.com/en-us/citrix-hypervisor/command-line-interface.html#installing-the-xe-cli},
  lastaccessed = {2019-12-11}
}

@online{libvirtDocs,
  author = {libvirt},
  title = {libvirt Documentation},
  year = 2019,
  url = {https://libvirt.org/sources/virshcmdref/html/sect-snapshot-create.html},
  lastaccessed = {2019-12-11}
}

@online{MicrosoftHyperVDocs,
  author = {Microsoft},
  title = {Using checkpoints to revert virtual machines to a previous state},
  year = 2016,
  url = {https://docs.microsoft.com/en-us/virtualization/hyper-v-on-windows/user-guide/checkpoints},
  lastaccessed = {2019-12-11}
}

@online{QUEMUDocumentation,
  author = {QUEMU Documentation},
  title = {CreateSnapshot},
  year = 2016,
  url = {https://wiki.qemu.org/Documentation/CreateSnapshot},
  lastaccessed = {2019-12-11}
}

@online{RVMI,
  author = {fireeye},
  title = {rVMI Github},
  year = 2017,
  url = {https://github.com/fireeye/rvmi},
  lastaccessed = {2020-01-01}
}
